import 'package:fis_jsonrpc/rpc.dart';

/// 组织配置
class OrganizationConfigurations {
  /// 动态参数配置
  List<DynamicParameterDTO> dynamicParams = [];

  Map<String, dynamic> toJson() {
    return {
      "dynamicParams": dynamicParams,
    };
  }

  OrganizationConfigurations fromJson(Map<String, dynamic> jsonMap) {
    if (jsonMap.containsKey("dynamicParams")) {
      final list = jsonMap["dynamicParams"] as List;
      dynamicParams = list.map((e) => DynamicParameterDTO.fromJson(e)).toList();
    }
    return this;
  }
}
